Package be.fgov.ehealth.ehbox.consultation.protocol.v3

# Class ConsultationContentType

java.lang.Object
be.fgov.ehealth.ehbox.consultation.protocol.v3.ConsultationContentType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:14:01+02:00", comments="JAXB RI v4.0.5") public class ConsultationContentType extends Object implements Serializable
Contains all elements relative to the content of the message

Java class for ConsultationContentType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultationContentType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Document" type="{urn:be:fgov:ehealth:ehbox:consultation:protocol:v3}ConsultationDocumentType"/>
             <element name="FreeInformations" type="{urn:be:fgov:ehealth:ehbox:core:v3}FreeInformationsType" minOccurs="0"/>
             <element name="EncryptableINSSPatient" type="{http://www.w3.org/2001/XMLSchema}base64Binary" minOccurs="0"/>
             <element name="Annex" type="{urn:be:fgov:ehealth:ehbox:consultation:protocol:v3}ConsultationAnnexType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="Acknowledgment" type="{urn:be:fgov:ehealth:ehbox:core:v3}AcknowledgmentType" minOccurs="0"/>
             <element name="Error" type="{urn:be:fgov:ehealth:ehbox:core:v3}ErrorType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsultationContentType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AcknowledgmentType`
  `getAcknowledgment()`
  Gets the value of the acknowledgment property.
  `List<ConsultationAnnexType>`
  `getAnnices()`
  Gets the value of the annices property.
  `ConsultationDocumentType`
  `getDocument()`
  Gets the value of the document property.
  `byte[]`
  `getEncryptableINSSPatient()`
  If IsEncrypted == True, this MUST contain encrypted content.
  `ErrorType`
  `getError()`
  Gets the value of the error property.
  `FreeInformationsType`
  `getFreeInformations()`
  Gets the value of the freeInformations property.
  `void`
  `setAcknowledgment(AcknowledgmentType value)`
  Sets the value of the acknowledgment property.
  `void`
  `setDocument(ConsultationDocumentType value)`
  Sets the value of the document property.
  `void`
  `setEncryptableINSSPatient(byte[] value)`
  Sets the value of the encryptableINSSPatient property.
  `void`
  `setError(ErrorType value)`
  Sets the value of the error property.
  `void`
  `setFreeInformations(FreeInformationsType value)`
  Sets the value of the freeInformations property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConsultationContentType

    public ConsultationContentType()

- ## Method Details

  - ### getDocument

    public ConsultationDocumentType getDocument()
    Gets the value of the document property.
    Returns:
      possible object is `ConsultationDocumentType`

  - ### setDocument

    public void setDocument(ConsultationDocumentType value)
    Sets the value of the document property.
    Parameters:
      `value` - allowed object is `ConsultationDocumentType`

  - ### getFreeInformations

    public FreeInformationsType getFreeInformations()
    Gets the value of the freeInformations property.
    Returns:
      possible object is `FreeInformationsType`

  - ### setFreeInformations

    public void setFreeInformations(FreeInformationsType value)
    Sets the value of the freeInformations property.
    Parameters:
      `value` - allowed object is `FreeInformationsType`

  - ### getEncryptableINSSPatient

    public byte[] getEncryptableINSSPatient()
    If IsEncrypted == True, this MUST contain encrypted content. Anyway it must be converted to base64Binary
    Returns:
      possible object is byte[]

  - ### setEncryptableINSSPatient

    public void setEncryptableINSSPatient(byte[] value)
    Sets the value of the encryptableINSSPatient property.
    Parameters:
      `value` - allowed object is byte[]
    See Also:
      - `getEncryptableINSSPatient()`

  - ### getAnnices

    public List<ConsultationAnnexType> getAnnices()
    Gets the value of the annices property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the annices property.

    For example, to add a new item, do as follows:

         getAnnices().add(newItem);

    Objects of the following type(s) are allowed in the list `ConsultationAnnexType`

    Returns:
      The value of the annices property.

  - ### getAcknowledgment

    public AcknowledgmentType getAcknowledgment()
    Gets the value of the acknowledgment property.
    Returns:
      possible object is `AcknowledgmentType`

  - ### setAcknowledgment

    public void setAcknowledgment(AcknowledgmentType value)
    Sets the value of the acknowledgment property.
    Parameters:
      `value` - allowed object is `AcknowledgmentType`

  - ### getError

    public ErrorType getError()
    Gets the value of the error property.
    Returns:
      possible object is `ErrorType`

  - ### setError

    public void setError(ErrorType value)
    Sets the value of the error property.
    Parameters:
      `value` - allowed object is `ErrorType`